package gq.unurled.raxen.manager.server;

import gq.unurled.raxen.Raxen;
import gq.unurled.raxen.components.dungeons.Dungeon;
import gq.unurled.raxen.components.dungeons.Gate;
import gq.unurled.raxen.components.dungeons.types.forest.ForestDungeon;

import java.util.HashMap;
import java.util.UUID;

public class DungeonsManager {

    private Raxen main;

    private HashMap<UUID, Gate> gates = new HashMap<>();

    private HashMap<String, Dungeon> dungeons = new HashMap<>();

    public DungeonsManager(Raxen main) {
        this.main = main;
        registerDungeons();
    }

    /**
     * register/add all made dungeon to the available plugin list
     */
    public void registerDungeons() {
        ForestDungeon forestDungeon = new ForestDungeon();
        dungeons.put("FOREST", forestDungeon);

        for (String s : dungeons.keySet()) {
            main.getManager().getWorldManager().loadWorld(dungeons.get(s).getName());
        }
    }
}
